# Gimp.Config.prototype.deserialize_file

    function deserialize_file(file: Gio.File, data: void): Boolean {
        // Gjs wrapper for gimp_config_deserialize_file()
    }

Opens the file specified by file, reads configuration data from it and configures config accordingly. Basically this function creates a properly configured [struct@GLib.Scanner] for you and calls the deserialize function of the config's [iface@ConfigInterface].

Since 2.10

file

  the file to read configuration from.

data

  user data passed to the deserialize implementation.

Returns

  Whether deserialization succeeded.